Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillChart

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElement
          net.sf.jasperreports.engine.fill.JRFillChart

All Implemented Interfaces:
  java.lang.Cloneable, JRFillCloneable, JRAnchor, JRBox, JRBoxContainer, JRChart, JRChild, JRCloneable, JRCommonElement, JRElement, JRHyperlink, JRPropertiesHolder, JRStyleContainer, JRStyleSetter, JRVisitable

    public class JRFillChart

extends JRFillElement
implements JRChart

Version:
  $Id: JRFillChart.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net), Some enhancements by Barry Klawans (bklawans@users.sourceforge.net)

Field Summary
`protected JRChartCustomizer` | `chartCustomizer`
`protected ChartHyperlinkProvider` | `chartHyperlinkProvider`
`protected byte` | `chartType`
`protected java.lang.String` | `customizerClass`
`protected JRFillChartDataset` | `dataset`
`protected JRGroup` | `evaluationGroup`
`protected org.jfree.chart.JFreeChart` | `jfreeChart`
`protected JRFont` | `legendFont`
`protected JRLineBox` | `lineBox`
`protected JRChartPlot` | `plot`
`protected JRRenderable` | `renderer`
`protected java.lang.String` | `renderType`
`protected JRFont` | `subtitleFont`
`protected java.lang.String` | `themeName`
`protected JRFont` | `titleFont`

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, elementGroup, expressionEvaluator, filler, initStyle, mergedProperties, originProvider, parent, printWhenGroupChanges, staticProperties, templates`

Fields inherited from interface net.sf.jasperreports.engine.JRChart
`CHART_TYPE_AREA, CHART_TYPE_BAR, CHART_TYPE_BAR3D, CHART_TYPE_BUBBLE, CHART_TYPE_CANDLESTICK, CHART_TYPE_GANTT, CHART_TYPE_HIGHLOW, CHART_TYPE_LINE, CHART_TYPE_METER, CHART_TYPE_MULTI_AXIS, CHART_TYPE_PIE, CHART_TYPE_PIE3D, CHART_TYPE_SCATTER, CHART_TYPE_STACKEDAREA, CHART_TYPE_STACKEDBAR, CHART_TYPE_STACKEDBAR3D, CHART_TYPE_THERMOMETER, CHART_TYPE_TIMESERIES, CHART_TYPE_XYAREA, CHART_TYPE_XYBAR, CHART_TYPE_XYLINE, EDGE_BOTTOM, EDGE_LEFT, EDGE_RIGHT, EDGE_TOP, PROPERTY_CHART_RENDER_TYPE, PROPERTY_CHART_THEME, RENDER_TYPE_DRAW, RENDER_TYPE_IMAGE, RENDER_TYPE_SVG, TITLE_POSITION_BOTTOM, TITLE_POSITION_LEFT, TITLE_POSITION_RIGHT, TITLE_POSITION_TOP`

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Fields inherited from interface net.sf.jasperreports.engine.JRAnchor
`NO_BOOKMARK`

Fields inherited from interface net.sf.jasperreports.engine.JRHyperlink
`HYPERLINK_TARGET_BLANK, HYPERLINK_TARGET_CUSTOM, HYPERLINK_TARGET_PARENT, HYPERLINK_TARGET_SELF, HYPERLINK_TARGET_TOP, HYPERLINK_TYPE_CUSTOM, HYPERLINK_TYPE_LOCAL_ANCHOR, HYPERLINK_TYPE_LOCAL_PAGE, HYPERLINK_TYPE_NONE, HYPERLINK_TYPE_NULL, HYPERLINK_TYPE_REFERENCE, HYPERLINK_TYPE_REMOTE_ANCHOR, HYPERLINK_TYPE_REMOTE_PAGE`

Constructor Summary
`protected` | `JRFillChart(JRBaseFiller filler, JRChart chart, JRFillObjectFactory factory)`

Method Summary
`void` | `collectExpressions(JRExpressionCollector collector)`
`protected org.jfree.chart.plot.MeterInterval` | `convertInterval(JRMeterInterval interval, byte evaluation)` Converts a JasperReports meter interval to one that JFreeChart understands.
`protected org.jfree.data.Range` | `convertRange(JRDataRange dataRange, byte evaluation)` Converts a JasperReport data range into one understood by JFreeChart.
`protected void` | `copy(JRPrintImage printImage)`
`protected ChartHyperlinkProvider` | `createChartHyperlinkProvider()`
`JRFillCloneable` | `createClone(JRFillCloneFactory factory)` Creates a working clone of itself.
`protected JRTemplateElement` | `createElementTemplate()`
`protected void` | `createMultiAxisChart(byte evaluation)` Build and configure a multiple axis chart.
`protected void` | `evaluate(byte evaluation)`
`protected org.jfree.chart.JFreeChart` | `evaluateChart(byte evaluation)`
`protected void` | `evaluateRenderer(byte evaluation)`
`protected JRPrintElement` | `fill()`
`protected java.lang.String` | `getAnchorName()`
`JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
`int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
`byte` | `getBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getLineBox()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getLineBox()`
`int` | `getBottomPadding()` Deprecated. Replaced by `getLineBox()`
`JRBox` | `getBox()` Deprecated. Replaced by `getLineBox()`
`protected org.jfree.chart.axis.AxisLocation` | `getChartAxisLocation(JRFillChartAxis chartAxis)`
`byte` | `getChartType()` Gets the chart type.
`java.lang.String` | `getCustomizerClass()` Gets a user specified chart customizer class name.
`JRChartDataset` | `getDataset()` Gets the chart dataset.
`java.awt.Color` | `getDefaultLineColor()`
`JRGroup` | `getEvaluationGroup()` Gets the evaluation group for this chart (only applies when evaluation time is group).
`byte` | `getEvaluationTime()` Deprecated. Replaced by `getEvaluationTimeValue()`.
`EvaluationTimeEnum` | `getEvaluationTimeValue()` Returns the evaluation time for this chart.
`protected java.lang.String` | `getHyperlinkAnchor()`
`JRExpression` | `getHyperlinkAnchorExpression()` Returns the expression whose value represents the anchor.
`protected java.lang.Integer` | `getHyperlinkPage()`
`JRExpression` | `getHyperlinkPageExpression()` Returns an integer representing the page index of the link.
`JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
`protected ChartHyperlinkProvider` | `getHyperlinkProvider()`
`protected java.lang.String` | `getHyperlinkReference()`
`JRExpression` | `getHyperlinkReferenceExpression()` Returns the expression whose value represents the hyperlink reference.
`byte` | `getHyperlinkTarget()` Retrieves the hyperlink target for the element.
`protected java.lang.String` | `getHyperlinkTooltip()`
`JRExpression` | `getHyperlinkTooltipExpression()` Returns the expression which will generate the hyperlink tooltip.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`protected JRTemplateImage` | `getJRTemplateImage()`
`byte` | `getLeftBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getLineBox()`
`int` | `getLeftPadding()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getLegendBackgroundColor()` Returns the color to use as the background of the legend.
`java.awt.Color` | `getLegendColor()` Returns the inherited color to use for text in the legend.
`JRFont` | `getLegendFont()` Returns the font to use in the legend.
`byte` | `getLegendPosition()` Deprecated. Replaced by `getLegendPositionValue()`
`java.lang.Byte` | `getLegendPositionByte()` Deprecated. Replaced by `getLegendPositionValue()`
`EdgeEnum` | `getLegendPositionValue()`
`JRLineBox` | `getLineBox()`
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`java.util.Locale` | `getLocale()`
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnLegendBackgroundColor()` Returns the color to use as the background of the legend.
`java.awt.Color` | `getOwnLegendColor()` Returns the color to use for text in the legend.
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnSubtitleColor()`
`java.awt.Color` | `getOwnTitleColor()`
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getLineBox()`
`int` | `getPadding()` Deprecated. Replaced by `getLineBox()`
`JRChartPlot` | `getPlot()` Gets the chart plot.
`protected JRRenderable` | `getRenderer()`
`java.lang.String` | `getRenderType()`
`byte` | `getRightBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getLineBox()`
`int` | `getRightPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Boolean` | `getShowLegend()`
`java.awt.Color` | `getSubtitleColor()`
`JRExpression` | `getSubtitleExpression()` Gets the expression whose evaluation will form the subtitle.
`JRFont` | `getSubtitleFont()`
`java.lang.String` | `getTheme()`
`java.util.TimeZone` | `getTimeZone()`
`java.awt.Color` | `getTitleColor()`
`JRExpression` | `getTitleExpression()` Gets the expression whose evaluation will form the title.
`JRFont` | `getTitleFont()`
`byte` | `getTitlePosition()` Deprecated. Replaced by `getTitlePositionValue()`
`java.lang.Byte` | `getTitlePositionByte()` Deprecated. Replaced by `getTitlePositionValue()`
`EdgeEnum` | `getTitlePositionValue()` Gets the title position relative to the chart.
`byte` | `getTopBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getLineBox()`
`int` | `getTopPadding()` Deprecated. Replaced by `getLineBox()`
`boolean` | `isShowLegend()` Deprecated. Replaced by `getShowLegend()`
`protected boolean` | `prepare(int availableHeight, boolean isOverflow)`
`protected void` | `resolveElement(JRPrintElement element, byte evaluation)` Resolves an element.
`protected void` | `rewind()`
`void` | `setBorder(byte border)` Deprecated. Replaced by `getLineBox()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `getLineBox()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setDataset(JRFillChartDataset dataset)`
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setLegendBackgroundColor(java.awt.Color legendBackgroundColor)` Sets the color to use for the background of the legend.
`void` | `setLegendColor(java.awt.Color legendColor)` Sets the color to use for text in the legend.
`void` | `setLegendPosition(byte legendPosition)` Deprecated. Replaced by `setLegendPosition(EdgeEnum)`
`void` | `setLegendPosition(java.lang.Byte legendPosition)` Deprecated. Replaced by `setLegendPosition(EdgeEnum)`
`void` | `setLegendPosition(EdgeEnum legendPosition)`
`void` | `setPadding(int padding)` Deprecated. Replaced by `getLineBox()`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `getLineBox()`
`void` | `setRenderType(java.lang.String renderType)`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setShowLegend(boolean isShowLegend)` Deprecated. Replaced by `setShowLegend(Boolean)`
`void` | `setShowLegend(java.lang.Boolean isShowLegend)`
`void` | `setSubtitleColor(java.awt.Color subtitleColor)`
`void` | `setTheme(java.lang.String theme)`
`void` | `setTitleColor(java.awt.Color titleColor)`
`void` | `setTitlePosition(byte titlePosition)` Deprecated. Replaced by `setTitlePosition(EdgeEnum)`
`void` | `setTitlePosition(java.lang.Byte titlePosition)` Deprecated. Replaced by `setTitlePosition(EdgeEnum)`
`void` | `setTitlePosition(EdgeEnum titlePosition)` Sets the title position relative to the chart.
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `visit(JRVisitor visitor)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`addDependantElement, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, delayedEvaluate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, getBackcolor, getBand, getDefaultStyleProvider, getDependantElements, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getField, getForecolor, getGroupElements, getHeight, getKey, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getVariable, getWidth, getX, getY, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, setAlreadyPrinted, setBackcolor, setBand, setConditionalStylesContainer, setCurrentEvaluation, setForecolor, setHeight, setMode, setMode, setMode, setOriginProvider, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchHeight, setStretchType, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchHeightFinal, transferProperties, transferProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Field Detail

### chartType

    protected byte chartType

### titleFont

    protected JRFont titleFont

### subtitleFont

    protected JRFont subtitleFont

### legendFont

    protected JRFont legendFont

### lineBox

    protected final JRLineBox lineBox

### evaluationGroup

    protected JRGroup evaluationGroup

### dataset

    protected JRFillChartDataset dataset

### plot

    protected JRChartPlot plot

### renderer

    protected JRRenderable renderer

### customizerClass

    protected java.lang.String customizerClass

### chartCustomizer

    protected JRChartCustomizer chartCustomizer

### renderType

    protected java.lang.String renderType

### themeName

    protected java.lang.String themeName

### jfreeChart

    protected org.jfree.chart.JFreeChart jfreeChart

### chartHyperlinkProvider

    protected ChartHyperlinkProvider chartHyperlinkProvider

Constructor Detail

### JRFillChart

    protected JRFillChart(JRBaseFiller filler,
                          JRChart chart,
                          JRFillObjectFactory factory)

Method Detail

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRCommonElement`
  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

  Specified by:
    `getModeValue` in interface `JRCommonElement`
  Overrides:
    `getModeValue` in class `JRFillElement`

### isShowLegend

    public boolean isShowLegend()

  Deprecated. Replaced by `getShowLegend()`

  Specified by:
    `isShowLegend` in interface `JRChart`

### setShowLegend

    public void setShowLegend(boolean isShowLegend)

  Deprecated. Replaced by `setShowLegend(Boolean)`

  Specified by:
    `setShowLegend` in interface `JRChart`

### getShowLegend

    public java.lang.Boolean getShowLegend()

  Specified by:
    `getShowLegend` in interface `JRChart`

### setShowLegend

    public void setShowLegend(java.lang.Boolean isShowLegend)

  Specified by:
    `setShowLegend` in interface `JRChart`

### getRenderType

    public java.lang.String getRenderType()

  Specified by:
    `getRenderType` in interface `JRChart`

### setRenderType

    public void setRenderType(java.lang.String renderType)

  Specified by:
    `setRenderType` in interface `JRChart`

### getTheme

    public java.lang.String getTheme()

  Specified by:
    `getTheme` in interface `JRChart`

### setTheme

    public void setTheme(java.lang.String theme)

  Specified by:
    `setTheme` in interface `JRChart`

### getEvaluationTime

    public byte getEvaluationTime()

  Deprecated. Replaced by `getEvaluationTimeValue()`.

  Specified by:
    `getEvaluationTime` in interface `JRChart`

### getEvaluationTimeValue

    public EvaluationTimeEnum getEvaluationTimeValue()

  Description copied from interface: `JRChart`
  Returns the evaluation time for this chart.

  Specified by:
    `getEvaluationTimeValue` in interface `JRChart`
  Overrides:
    `getEvaluationTimeValue` in class `JRFillElement`

### getEvaluationGroup

    public JRGroup getEvaluationGroup()

  Description copied from interface: `JRChart`
  Gets the evaluation group for this chart (only applies when evaluation time is group).

  Specified by:
    `getEvaluationGroup` in interface `JRChart`

### getBox

    public JRBox getBox()

  Deprecated. Replaced by `getLineBox()`

  Description copied from interface: `JRChart`
  Gets the box around the element.

  Specified by:
    `getBox` in interface `JRChart`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### getBorder

    public byte getBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBorder` in interface `JRBox`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBorder` in interface `JRBox`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBorderColor` in interface `JRBox`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBorderColor` in interface `JRBox`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBorderColor` in interface `JRBox`

### getPadding

    public int getPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getPadding` in interface `JRBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnPadding` in interface `JRBox`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### getTopBorder

    public byte getTopBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getTopBorder` in interface `JRBox`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getTopBorderColor` in interface `JRBox`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRBox`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopBorderColor` in interface `JRBox`

### getTopPadding

    public int getTopPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getTopPadding` in interface `JRBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### getLeftBorder

    public byte getLeftBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getLeftBorder` in interface `JRBox`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getLeftBorderColor` in interface `JRBox`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRBox`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftBorderColor` in interface `JRBox`

### getLeftPadding

    public int getLeftPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getLeftPadding` in interface `JRBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### getBottomBorder

    public byte getBottomBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBottomBorder` in interface `JRBox`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBottomBorderColor` in interface `JRBox`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRBox`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomBorderColor` in interface `JRBox`

### getBottomPadding

    public int getBottomPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBottomPadding` in interface `JRBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### getRightBorder

    public byte getRightBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getRightBorder` in interface `JRBox`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getRightBorderColor` in interface `JRBox`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRBox`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightBorderColor` in interface `JRBox`

### getRightPadding

    public int getRightPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getRightPadding` in interface `JRBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### getTitleFont

    public JRFont getTitleFont()

  Specified by:
    `getTitleFont` in interface `JRChart`

### getTitlePosition

    public byte getTitlePosition()

  Deprecated. Replaced by `getTitlePositionValue()`

  Specified by:
    `getTitlePosition` in interface `JRChart`

### setTitlePosition

    public void setTitlePosition(byte titlePosition)

  Deprecated. Replaced by `setTitlePosition(EdgeEnum)`

  Specified by:
    `setTitlePosition` in interface `JRChart`

### getTitlePositionByte

    public java.lang.Byte getTitlePositionByte()

  Deprecated. Replaced by `getTitlePositionValue()`

  Specified by:
    `getTitlePositionByte` in interface `JRChart`

### setTitlePosition

    public void setTitlePosition(java.lang.Byte titlePosition)

  Deprecated. Replaced by `setTitlePosition(EdgeEnum)`

  Specified by:
    `setTitlePosition` in interface `JRChart`

### getTitlePositionValue

    public EdgeEnum getTitlePositionValue()

  Description copied from interface: `JRChart`
  Gets the title position relative to the chart.

  Specified by:
    `getTitlePositionValue` in interface `JRChart`

### setTitlePosition

    public void setTitlePosition(EdgeEnum titlePosition)

  Description copied from interface: `JRChart`
  Sets the title position relative to the chart.

  Specified by:
    `setTitlePosition` in interface `JRChart`

### getTitleColor

    public java.awt.Color getTitleColor()

  Specified by:
    `getTitleColor` in interface `JRChart`

### getOwnTitleColor

    public java.awt.Color getOwnTitleColor()

  Specified by:
    `getOwnTitleColor` in interface `JRChart`

### setTitleColor

    public void setTitleColor(java.awt.Color titleColor)

  Specified by:
    `setTitleColor` in interface `JRChart`

### getSubtitleFont

    public JRFont getSubtitleFont()

  Specified by:
    `getSubtitleFont` in interface `JRChart`

### getOwnSubtitleColor

    public java.awt.Color getOwnSubtitleColor()

  Specified by:
    `getOwnSubtitleColor` in interface `JRChart`

### getSubtitleColor

    public java.awt.Color getSubtitleColor()

  Specified by:
    `getSubtitleColor` in interface `JRChart`

### setSubtitleColor

    public void setSubtitleColor(java.awt.Color subtitleColor)

  Specified by:
    `setSubtitleColor` in interface `JRChart`

### getOwnLegendColor

    public java.awt.Color getOwnLegendColor()

  Returns the color to use for text in the legend.

  Specified by:
    `getOwnLegendColor` in interface `JRChart`
  Returns:
    the color to use for text in the legend

### getLegendColor

    public java.awt.Color getLegendColor()

  Returns the inherited color to use for text in the legend.

  Specified by:
    `getLegendColor` in interface `JRChart`
  Returns:
    the color to use for text in the legend

### setLegendColor

    public void setLegendColor(java.awt.Color legendColor)

  Sets the color to use for text in the legend.

  Specified by:
    `setLegendColor` in interface `JRChart`
  Parameters:
    `legendColor` - the color to use for text in the legend

### getOwnLegendBackgroundColor

    public java.awt.Color getOwnLegendBackgroundColor()

  Returns the color to use as the background of the legend.

  Specified by:
    `getOwnLegendBackgroundColor` in interface `JRChart`
  Returns:
    the color to use as the background of the legend

### getLegendBackgroundColor

    public java.awt.Color getLegendBackgroundColor()

  Returns the color to use as the background of the legend.

  Specified by:
    `getLegendBackgroundColor` in interface `JRChart`
  Returns:
    the color to use as the background of the legend

### setLegendBackgroundColor

    public void setLegendBackgroundColor(java.awt.Color legendBackgroundColor)

  Sets the color to use for the background of the legend.

  Specified by:
    `setLegendBackgroundColor` in interface `JRChart`
  Parameters:
    `legendBackgroundColor` - the color to use for the background of the legend

### getLegendFont

    public JRFont getLegendFont()

  Returns the font to use in the legend.

  Specified by:
    `getLegendFont` in interface `JRChart`
  Returns:
    the font to use in the legend

### getLegendPosition

    public byte getLegendPosition()

  Deprecated. Replaced by `getLegendPositionValue()`

  Specified by:
    `getLegendPosition` in interface `JRChart`

### setLegendPosition

    public void setLegendPosition(byte legendPosition)

  Deprecated. Replaced by `setLegendPosition(EdgeEnum)`

  Specified by:
    `setLegendPosition` in interface `JRChart`

### getLegendPositionByte

    public java.lang.Byte getLegendPositionByte()

  Deprecated. Replaced by `getLegendPositionValue()`

  Specified by:
    `getLegendPositionByte` in interface `JRChart`

### setLegendPosition

    public void setLegendPosition(java.lang.Byte legendPosition)

  Deprecated. Replaced by `setLegendPosition(EdgeEnum)`

  Specified by:
    `setLegendPosition` in interface `JRChart`

### getLegendPositionValue

    public EdgeEnum getLegendPositionValue()

  Specified by:
    `getLegendPositionValue` in interface `JRChart`

### setLegendPosition

    public void setLegendPosition(EdgeEnum legendPosition)

  Specified by:
    `setLegendPosition` in interface `JRChart`

### getTitleExpression

    public JRExpression getTitleExpression()

  Description copied from interface: `JRChart`
  Gets the expression whose evaluation will form the title.

  Specified by:
    `getTitleExpression` in interface `JRChart`

### getSubtitleExpression

    public JRExpression getSubtitleExpression()

  Description copied from interface: `JRChart`
  Gets the expression whose evaluation will form the subtitle.

  Specified by:
    `getSubtitleExpression` in interface `JRChart`

### getHyperlinkType

    public byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

  Specified by:
    `getHyperlinkType` in interface `JRHyperlink`

### getHyperlinkTypeValue

    public HyperlinkTypeEnum getHyperlinkTypeValue()

  Description copied from interface: `JRHyperlink`
  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

  Specified by:
    `getHyperlinkTypeValue` in interface `JRHyperlink`
  Returns:
    one of the hyperlink type constants
  See Also:
    `JRHyperlink.getLinkType()`

### getHyperlinkTarget

    public byte getHyperlinkTarget()

  Description copied from interface: `JRHyperlink`
  Retrieves the hyperlink target for the element.

  The actual hyperlink target is determined by `getLinkTarget()`. This method can is used to determine whether the hyperlink target is one of the built-in target names or a custom one. When hyperlink has a custom target name, `HYPERLINK_TYPE_CUSTOM` is returned.

  Specified by:
    `getHyperlinkTarget` in interface `JRHyperlink`
  Returns:
    one of the hyperlink target constants
  See Also:
    `JRHyperlink.getLinkTarget()`

### getAnchorNameExpression

    public JRExpression getAnchorNameExpression()

  Description copied from interface: `JRAnchor`
  Returns an expression whose value represents the anchor name.

  Specified by:
    `getAnchorNameExpression` in interface `JRAnchor`

### getHyperlinkReferenceExpression

    public JRExpression getHyperlinkReferenceExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression whose value represents the hyperlink reference. It is only used when the hyperlink type is reference or anchor

  Specified by:
    `getHyperlinkReferenceExpression` in interface `JRHyperlink`

### getHyperlinkAnchorExpression

    public JRExpression getHyperlinkAnchorExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression whose value represents the anchor. It is only used when the hyperlink type is anchor.

  Specified by:
    `getHyperlinkAnchorExpression` in interface `JRHyperlink`

### getHyperlinkPageExpression

    public JRExpression getHyperlinkPageExpression()

  Description copied from interface: `JRHyperlink`
  Returns an integer representing the page index of the link. It is only used when the hyperlink type is page. If the expression does not evaluate to an integer, an exception will be thrown.

  Specified by:
    `getHyperlinkPageExpression` in interface `JRHyperlink`

### getLocale

    public java.util.Locale getLocale()

### getTimeZone

    public java.util.TimeZone getTimeZone()

### getDataset

    public JRChartDataset getDataset()

  Description copied from interface: `JRChart`
  Gets the chart dataset. Most chart types have different dataset structures, depending on the chart type.

  Specified by:
    `getDataset` in interface `JRChart`

### setDataset

    public void setDataset(JRFillChartDataset dataset)

### getPlot

    public JRChartPlot getPlot()

  Description copied from interface: `JRChart`
  Gets the chart plot. Plots are used to define various chart visual properties, such as colors and transparency.

  Specified by:
    `getPlot` in interface `JRChart`

### getRenderer

    protected JRRenderable getRenderer()

### getAnchorName

    protected java.lang.String getAnchorName()

### getHyperlinkReference

    protected java.lang.String getHyperlinkReference()

### getHyperlinkAnchor

    protected java.lang.String getHyperlinkAnchor()

### getHyperlinkPage

    protected java.lang.Integer getHyperlinkPage()

### getHyperlinkTooltip

    protected java.lang.String getHyperlinkTooltip()

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRBoxContainer`

### getJRTemplateImage

    protected JRTemplateImage getJRTemplateImage()

### createElementTemplate

    protected JRTemplateElement createElementTemplate()

  Specified by:
    `createElementTemplate` in class `JRFillElement`

### rewind

    protected void rewind()

  Specified by:
    `rewind` in class `JRFillElement`

### evaluate

    protected void evaluate(byte evaluation)
                     throws JRException

  Specified by:
    `evaluate` in class `JRFillElement`
  Throws:
    `JRException`

### evaluateRenderer

    protected void evaluateRenderer(byte evaluation)
                             throws JRException

  Throws:
    `JRException`

### getHyperlinkProvider

    protected ChartHyperlinkProvider getHyperlinkProvider()

### evaluateChart

    protected org.jfree.chart.JFreeChart evaluateChart(byte evaluation)
                                                throws JRException

  Throws:
    `JRException`

### prepare

    protected boolean prepare(int availableHeight,
                              boolean isOverflow)

  Overrides:
    `prepare` in class `JRFillElement`

### fill

    protected JRPrintElement fill()

  Specified by:
    `fill` in class `JRFillElement`

### copy

    protected void copy(JRPrintImage printImage)

### getChartType

    public byte getChartType()

  Description copied from interface: `JRChart`
  Gets the chart type. It must be one of the chart type constants in this class.

  Specified by:
    `getChartType` in interface `JRChart`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElement`

### visit

    public void visit(JRVisitor visitor)

  Specified by:
    `visit` in interface `JRVisitable`

### createChartHyperlinkProvider

    protected ChartHyperlinkProvider createChartHyperlinkProvider()

### createMultiAxisChart

    protected void createMultiAxisChart(byte evaluation)
                                 throws JRException

  Build and configure a multiple axis chart. A multiple axis chart support more than one range axis. Multiple datasets using different ranges can be displayed as long as they share a common domain axis. Each dataset can be rendered differently, so one chart can contain (for example) two line charts, a bar chart and an area chart.
  Multiple axis charts are handled differently than the other chart types. They do not have a dataset, as each chart that is added to the multiple axis chart has its own dataset. For simplicity, each dataset is treated as its own chart, and in fact we reuse the design of all the chart types and let JFreeChart actually run them. Then we pull out the bits we need and add it to the common chart. All the plot and chart options on the nested charts is ignored, and all formatting is controlled by the plot attached to the multiAxisChart. The one exception is seriesColor, which can be used in a nested report to specify a color for a specific series in that report.

  Parameters:
    `evaluation` - current expression evaluation phase
  Throws:
    `JRException`

### convertRange

    protected org.jfree.data.Range convertRange(JRDataRange dataRange,
                                                byte evaluation)
                                         throws JRException

  Converts a JasperReport data range into one understood by JFreeChart.

  Parameters:
    `dataRange` - the JasperReport version of the range
    `evaluation` - current expression evaluation phase
  Returns:
    the JFreeChart version of the range
  Throws:
    `JRException` - thrown when the low value of the range is greater than the high value

### convertInterval

    protected org.jfree.chart.plot.MeterInterval convertInterval(JRMeterInterval interval,
                                                                 byte evaluation)
                                                          throws JRException

  Converts a JasperReports meter interval to one that JFreeChart understands.

  Parameters:
    `interval` - the JasperReports definition of an interval
    `evaluation` - current evaluation time
  Returns:
    the JFreeChart version of the same interval
  Throws:
    `JRException` - thrown when the interval contains an invalid range

### getChartAxisLocation

    protected org.jfree.chart.axis.AxisLocation getChartAxisLocation(JRFillChartAxis chartAxis)

### resolveElement

    protected void resolveElement(JRPrintElement element,
                                  byte evaluation)
                           throws JRException

  Description copied from class: `JRFillElement`
  Resolves an element.

  Specified by:
    `resolveElement` in class `JRFillElement`
  Parameters:
    `element` - the element
    `evaluation` - the evaluation type
  Throws:
    `JRException`

### getBookmarkLevel

    public int getBookmarkLevel()

  Description copied from interface: `JRAnchor`
  Returns the level of the bookmark corresponding to the anchor.

  Specified by:
    `getBookmarkLevel` in interface `JRAnchor`
  Returns:
    the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

### getCustomizerClass

    public java.lang.String getCustomizerClass()

  Description copied from interface: `JRChart`
  Gets a user specified chart customizer class name.

  Specified by:
    `getCustomizerClass` in interface `JRChart`
  See Also:
    `JRChartCustomizer`

### createClone

    public JRFillCloneable createClone(JRFillCloneFactory factory)

  Description copied from interface: `JRFillCloneable`
  Creates a working clone of itself.

  Specified by:
    `createClone` in interface `JRFillCloneable`
  Parameters:
    `factory` - the clone factory to use while creating the clone
  Returns:
    a working clone of itself

### getHyperlinkParameters

    public JRHyperlinkParameter[] getHyperlinkParameters()

  Description copied from interface: `JRHyperlink`
  Returns the list of hyperlink parameters.

  The parameters can be used by custom hyperlink types to generate dynamic links.

  Specified by:
    `getHyperlinkParameters` in interface `JRHyperlink`
  Returns:
    the list of hyperlink parameters

### getLinkType

    public java.lang.String getLinkType()

  Description copied from interface: `JRHyperlink`
  Returns the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Specified by:
    `getLinkType` in interface `JRHyperlink`
  Returns:
    the hyperlink type

### getLinkTarget

    public java.lang.String getLinkTarget()

  Description copied from interface: `JRHyperlink`
  Returns the hyperlink target name.

  The type can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `getLinkTarget` in interface `JRHyperlink`
  Returns:
    the hyperlink target name

### getHyperlinkTooltipExpression

    public JRExpression getHyperlinkTooltipExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression which will generate the hyperlink tooltip.

  Specified by:
    `getHyperlinkTooltipExpression` in interface `JRHyperlink`
  Returns:
    the expression which will generate the hyperlink tooltip

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com